---
lang: en
title: 'API docs: authentication.authmetadataprovider'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authmetadataprovider.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthMetadataProvider](./authentication.authmetadataprovider.md)

## AuthMetadataProvider class

Provides authentication metadata of a controller method

<b>Signature:</b>

```typescript
export declare class AuthMetadataProvider implements Provider<AuthenticationMetadata[] | undefined> 
```
<b>Implements:</b> [Provider](./context.provider.md)<!-- -->&lt;[AuthenticationMetadata](./authentication.authenticationmetadata.md)

## Example

`context.bind('authentication.operationMetadata').toProvider(AuthMetadataProvider)`

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(controllerClass, methodName, options)](./authentication.authmetadataprovider._constructor_.md) |  | Constructs a new instance of the <code>AuthMetadataProvider</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [value()](./authentication.authmetadataprovider.value.md) |  |  |


